declare type SQLiteMobxActioner = (table: SQLiteMobxTable) => void;
interface SQLParseable {
    toSQL(): string;
}
declare class SQLiteMobxColumn implements SQLParseable {
    _name?: string;
    _type?: string;
    _size?: number;
    _nullable?: boolean;
    _default?: string | number | boolean;
    constructor(name: string, type: string, size: number);
    nullable(value?: boolean): void;
    default(value?: string | number | boolean): void;
    toSQL(): string;
}
declare class SQLiteMobxTable implements SQLParseable {
    private _name;
    private _columns;
    private _ifNotExists?;
    constructor(name: string);
    primary(param?: string, size?: number): SQLiteMobxColumn;
    string(param: string, size?: number): SQLiteMobxColumn;
    integer(param: string, size?: number): SQLiteMobxColumn;
    boolean(param: string, size?: number): SQLiteMobxColumn;
    ifNotExists(value?: boolean): void;
    toSQL(): string;
}
declare class SQLiteMobxSchema {
    static create(name: string, actioner: SQLiteMobxActioner): void;
}
export { SQLiteMobxActioner, SQLiteMobxTable, SQLiteMobxColumn };
export default SQLiteMobxSchema;
//# sourceMappingURL=SQLiteMobxSchema.d.ts.map